The SolrDocumentField class

- « SolrDocument::valid

- SolrDocumentField::__construct »

- PHP Manual
- Solr
- The SolrDocumentField class

# The SolrDocumentField class

(PECL solr >= 0.9.2)

## Introduction

This represents a field in a Solr document. All its properties are read-only.

## Class synopsis

final class SolrDocumentField {
/* Properties */
public readonly string $name;
public readonly float $boost;
public readonly array $values;
/* Methods */
public __construct()
public __destruct()
}

## Properties

name

  The name of the field.

boost

  The boost value for the field

values

  An array of values for this field

## Table of Contents

- SolrDocumentField::__construct — Constructor
- SolrDocumentField::__destruct — Destructor